package com.artenum.cassandra.util;

import java.io.File;

import javax.swing.JMenuItem;

/**
 * Extends the JMenuItem class and link a File to it. 
 * 
 * @author Julien Forest
 *
 */
public class FileItem extends JMenuItem {

	private static final long serialVersionUID = 1L;
	private File file;
	
	/**
	 * return the file linked to the current JMenuItem.
	 * @return
	 */
	public File getFile() {
		return file;
	}

	/**
	 * Link a file to the current JMentItem.
	 * @param file
	 */
	public void setFile(File file) {
		this.file = file;
	}
}